%{?mingw_package_header}

Name:           mingw-cairomm
Version:        1.14.5
Release:        %mkrel 1
Summary:        MinGW Windows C++ API for the cairo graphics library

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.cairographics.org/
Source0:        https://www.cairographics.org/releases/cairomm-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  meson

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-cairo
BuildRequires:  mingw32-libsigc++20

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-cairo
BuildRequires:  mingw64-libsigc++20

%description
Cairomm is the C++ API for the cairo graphics library. It offers all the power
of cairo with an interface familiar to C++ developers, including use of the 
Standard Template Library where it makes sense.


# Win32
%package -n mingw32-cairomm
Summary:        MinGW Windows C++ API for the cairo graphics library

%description -n mingw32-cairomm
Cairomm is the C++ API for the cairo graphics library. It offers all the power
of cairo with an interface familiar to C++ developers, including use of the
Standard Template Library where it makes sense.

# Win64
%package -n mingw64-cairomm
Summary:        MinGW Windows C++ API for the cairo graphics library

%description -n mingw64-cairomm
Cairomm is the C++ API for the cairo graphics library. It offers all the power
of cairo with an interface familiar to C++ developers, including use of the
Standard Template Library where it makes sense.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n cairomm-%{version}


%build
%mingw_meson -D build-documentation=false
%mingw_ninja

%install
%mingw_ninja_install

rm -rf %{buildroot}%{mingw32_datadir}/{devhelp,doc}
rm -rf %{buildroot}%{mingw64_datadir}/{devhelp,doc}


# Win32
%files -n mingw32-cairomm
%license COPYING
%{mingw32_bindir}/libcairomm-1.0-1.dll
%{mingw32_libdir}/libcairomm-1.0.dll.a
%{mingw32_libdir}/pkgconfig/cairomm-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-ft-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-pdf-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-png-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-ps-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-svg-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-win32-1.0.pc
%{mingw32_libdir}/pkgconfig/cairomm-win32-font-1.0.pc
%{mingw32_includedir}/cairomm-1.0
%{mingw32_libdir}/cairomm-1.0/


# Win64
%files -n mingw64-cairomm
%license COPYING
%{mingw64_bindir}/libcairomm-1.0-1.dll
%{mingw64_libdir}/libcairomm-1.0.dll.a
%{mingw64_libdir}/pkgconfig/cairomm-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-ft-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-pdf-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-png-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-ps-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-svg-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-win32-1.0.pc
%{mingw64_libdir}/pkgconfig/cairomm-win32-font-1.0.pc
%{mingw64_includedir}/cairomm-1.0
%{mingw64_libdir}/cairomm-1.0/



%changelog
* Wed Jan 22 2025 daviddavid <daviddavid> 1.14.5-1.mga10
+ Revision: 2140435
- new version: 1.14.5

* Sat Mar 26 2022 umeabot <umeabot> 1.12.0-5.mga9
+ Revision: 1827932
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 1.12.0-4.mga8
+ Revision: 1630512
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 1.12.0-3.mga8
+ Revision: 1491992
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.12.0-2.mga7
+ Revision: 1264263
- Mageia 7 Mass Rebuild

* Wed Apr 06 2016 tv <tv> 1.12.0-1.mga6
+ Revision: 998880
- new release
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-11.mga5
+ Revision: 682412
- Mageia 5 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 1.10.0-10.mga4
+ Revision: 483462
- imported package mingw-cairomm


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jan 27 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.10.0-9
- Rebuild against mingw-gcc 4.8 (win64 uses SEH exceptions now)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr  8 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.10.0-7
- Added -static subpackage
- Cleaned up unneeded %%global tags

* Thu Mar 15 2012 Kalev Lember <kalevlember@gmail.com> - 1.10.0-6
- Build 64 bit Windows binaries

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.10.0-5
- Renamed the source package to mingw-cairomm (RHBZ #800848)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.10.0-4
- Rebuild against the mingw-w64 toolchain
- Fix filelist (the cairo-ft backend is now enabled)

* Tue Jan 31 2012 Kalev Lember <kalevlember@gmail.com> - 1.10.0-3
- Rebuilt for libpng 1.5
- Remove .la files

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 1.10.0-1
- Update to 1.10.0
- Use automatic mingw dep extraction
- Clean up the spec file for recent rpmbuild

* Sat May 21 2011 Kalev Lember <kalev@smartlink.ee> - 1.9.8-2
- Own _mingw32_libdir/cairomm-1.0/ directory

* Tue Feb 22 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.9.8-1
- update to 1.9.8 to match native

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  6 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.9.2-1
- update to 1.9.2 to match native

* Sat Dec  5 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.8.4-1
- update to 1.8.44

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.8.0-3
- add debuginfo packages

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.8.0-2
- replace %%define with %%global

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.8.0-1
- update to 1.8.0

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.2-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.2-4
- Include license.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.6.2-3
- Use _smp_mflags.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 1.6.2-2
- Initial RPM release.
